Kerbal Space Program - Bug #4067

Possible double rendering of Celestials.
02/13/2015 10:52 AM - AlonzoTG

Status: Closed Start date: 02/13/2015
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Hello, | was hacking on StarSystems. My approach was to take the requested stellar diameter, scale it by dividing it by 6540000 and
setting up the transform.

That worked great except....

The stars seemed to be rendering twice, For example, with that blue dwarf, | would see a somewhat yellowish version of the (blue)
star with a yellow halo at the stock sun's (Kerbol's) scale. Mosue-scrolling into that, | would penetrate the outer shell and there would
be a perfect rendition of the star | thought | was creating with the intended blue halo and exactly the scaling | had specified. Maybe
the recruiters are right and | have lost all of my programming skills from being unemployed for three years but there is nothing in this
code that would seem to make it invoke the renderer twice!

If the stock game is rendering celestial bodies twice, this could have serious performance implications!

History

#1 - 07/19/2015 10:09 AM - Squelch
- Status changed from New to Need More Info
AlonzoTG wrote:
If the stock game is rendering celestial bodies twice, this could have serious performance implications!

Can it be demonstrated that the stock game renders the skybox twice? Work has been done to refine the skybox rendering since this report was
made, is it still an issue?

#2 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#3 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

05/18/2024 1/1



http://bugs.kerbalspaceprogram.com/projects/ksp/wiki
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
http://www.tcpdf.org

